ARC Graphical Clients: FileServer Class Reference

# FileServer Class Reference

Abstract file server class. More...

`#include <fileserver.h>`

Inheritance diagram for FileServer:

List of all members.

## Public Member Functions
| FileServer ()
| Create a FileServer object.
void | setNotifyParent (bool flag)
| Set flag for notifying parent.
bool | getNotifyParent ()
| return parent notification flag.
virtual QStringList | getFileInfoLabels ()=0
| Returns the column names in the file list (name, size, last change date...). Allows different protocols to display their own info.
virtual void | updateFileList (QString URL)=0
| Reads a new list of files from the server to the filelist.
virtual QVector < ARCFileElement * > & | getFileList ()=0
| Return a reference to the filelist.
virtual bool | goUpOneFolder ()=0
| Go up one folder in the folder structure (cd ..).
virtual QString | getCurrentURL ()=0
| Get current URL (== file protocol + path).
virtual QString | getCurrentPath ()=0
| Get current path.
virtual unsigned int | getFilePermissions (QString path)=0
| Get file permissions.
virtual void | setFilePermissions (QString path, unsigned int permissions)=0
| Set file permissions.
virtual bool | copyFromServer (QString sourcePath, QString destinationPah)=0
| Copy a file from the server to a local disk.
virtual bool | copyToServer (QString sourcePath, QString destinationPah)=0
| Copy a file from local disk to server.
virtual bool | copyToServer (QList< QUrl > &urlList, QString destinationPath)=0
| Copy a list of files from local disk to server.
virtual bool | deleteItem (QString path)=0
| Delete a file from the server.
virtual bool | deleteItems (QStringList &paths)=0
| Delete several files from the server.
virtual bool | makeDir (QString path)=0
| Create a folder on the server.
virtual QMap< QString, QString > | fileProperties (QString URL)=0
| Return a property value list of file properties.
virtual bool | rename (QString fromURL, QString toURL)=0
| Rename a file.
## Protected Member Functions
void | clearFileList ()
| Clear file list.
## Protected Attributes
QVector< ARCFileElement * > | fileList
| A list of the files that were last browsed (and are currently displayed in the gui).
QString | currentPath
| The current path (that is displayed in the gui).
bool | m_notifyParent

## Detailed Description

Abstract file server class.

The FileServer class described an abstract File Server. It contains abstract methods that describe operations that a file server would typically need to perform. It doesn't act as a file server, it talks to a file server.

The documentation for this class was generated from the following files:

- /home/jonas/Development/arc-gui-clients/src/arcstorage-ui/fileserver.h
- /home/jonas/Development/arc-gui-clients/src/arcstorage-ui/fileserver.cpp

All Classes Functions Variables